﻿@model DataAccess.Model.VyukaUser

@{Html.RenderAction("SidemenuProfil", "Menu");}

<link href="@Url.Content("~/Content/lightbox.min.css")" rel="stylesheet">
<link href="@Url.Content("~/Content/profil.css")" rel="stylesheet">

<div class="dashboard-wrapper">
    <div class="container-fluid dashboard-content">
        @if (TempData["message-success"] != null)
        {
            <div class="alert alert-success alert-dismissible" role="alert">
                <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">x</span></button>
                @TempData["message-success"]
            </div>
        }
        <div class="card maxCenterProfil mx-auto">
            <div class="card-header">
                <h4 class="text-center">Vítejte na Vašem profilu</h4>
            </div>
            <div class="card-body">
                <div class="text-center">
                    @if (Model.Image == null)
                    {
                        <img alt="User Pic" src="@Url.Content("~/obrazky/icon/nobody.jpg")" class="rounded-circle" width="150" height="150">
                    }
                    else
                    {
                        <a href="@Url.Content("~/uploads/profilePictures/" + Model.Image)" data-lightbox="image-1">
                            <img alt="User Pic" src="@Url.Content("~/uploads/profilePictures/" + Model.Image)" class="rounded-circle" width="150" height="150">
                        </a>
                    }
                    <h4 style="color: #00b1b1;">@Model.Login </h4>
                    <p>@Model.Role.RoleDescription</p>
                </div>
                <hr>
                <span class="tital ">Jméno: </span>@Model.Name
                <div class="bot-border"></div>
                <span class="tital ">Příjmení: </span>@Model.Surname
                <div class="bot-border"></div>
                <span class="tital ">Datum narození: </span>@(@Model.Birth.HasValue ? Model.Birth.Value.ToShortDateString() : "Neuvedeno")
                <div class="bot-border"></div>
                <span class="tital ">Datum registrace: </span>@Model.RegistrationDay.ToShortDateString()
                <div class="bot-border"></div>
                <span class="tital ">Datum posledního přihlášení: </span>@Model.LastActivityDay.ToShortDateString()
            </div>
        </div>
    </div>
</div>
<script src="@Url.Content("~/Scripts/lightbox-plus-jquery.min.js")"></script>